Skip to Content
veriom

Estimate audits

What each assessment type is expected to use, and what an audit could reuse.

GET
/v1/workspaces/{workspace_id}/audit-estimates

What each assessment type is expected to use, and what an audit could reuse.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

repository_id?|null

Response Body

Successful Response

application/json
  1. response
last_audit?|

The newest finished audit of the repository: unchanged results are reused.

remaining_units?|

Processing units left this period; null without a limit.

types*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-estimates'
Example Response
{  "last_audit": {    "assessment_type": "string",    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",    "commit_sha": "string",    "completed_at": "2019-08-24T14:15:22Z"  },  "remaining_units": "string",  "types": [    {      "basis": "workspace_history",      "ceiling_units": 0,      "checks": [        "string"      ],      "default": true,      "id": "architecture",      "includes": [        "string"      ],      "name": "string",      "summary": "string",      "typical_units": 0    }  ]}